From 69b2acecc8d278a968b3effa8af295e8a96f68a4 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 16 2018 18:11:39 +0000
Subject: [PATCH 12/15] jmc-core: add javadoc subpackage and license and doc files


---

diff --git a/jmc-core/generate_jmc_core_tarball.sh b/jmc-core/generate_jmc_core_tarball.sh
index 6dc7472..b9f9232 100755
--- a/jmc-core/generate_jmc_core_tarball.sh
+++ b/jmc-core/generate_jmc_core_tarball.sh
@@ -4,5 +4,7 @@ wget http://hg.openjdk.java.net/jmc/jmc/archive/ecb68ef82eb7.tar.gz
 tar xzf ecb68ef82eb7.tar.gz
 rm ecb68ef82eb7.tar.gz
 cp -r jmc-ecb68ef82eb7/core/ jmc-core-7.0.0/
+cp jmc-ecb68ef82eb7/license/* jmc-core-7.0.0/
+cp jmc-ecb68ef82eb7/README.md jmc-core-7.0.0/
 tar czf jmc-core-7.0.0.tar.gz jmc-core-7.0.0/
 rm -r jmc-core-7.0.0/ jmc-ecb68ef82eb7
\ No newline at end of file
diff --git a/jmc-core/jmc-core.spec b/jmc-core/jmc-core.spec
index e6a686c..c1268a0 100644
--- a/jmc-core/jmc-core.spec
+++ b/jmc-core/jmc-core.spec
@@ -1,7 +1,7 @@
 Name:		jmc-core
 Version:	7.0.0
 Release:	1%{?dist}
-Summary:	Java Mission Control is a profiling and diagnostics tool
+Summary:	Core API for Java Mission Control
 
 License:	UPL
 URL:		http://openjdk.java.net/projects/jmc/
@@ -12,9 +12,7 @@ Source0:	jmc-core-7.0.0.tar.gz
 BuildArch:  noarch
 
 BuildRequires:	maven-local
-BuildRequires:	owasp-java-encoder
-
-Requires:	java-openjdk
+BuildRequires:	mvn(org.owasp.encoder:encoder)
 
 %description
 Java Mission Control is an advanced set of tools that enables efficient and 
@@ -22,6 +20,12 @@ detailed analysis of the extensive data collected by Java Flight Recorder.
 The tool chain enables developers and administrators to collect and analyze data 
 from Java applications running locally or deployed in production environments.
 
+%package javadoc
+Summary:  Javadoc for %{name}
+
+%description javadoc
+%{summary}.
+
 %prep
 %setup -q
 
@@ -33,11 +37,15 @@ from Java applications running locally or deployed in production environments.
 %install
 %mvn_install
 
-%files
-/usr/share/java/%{name}
-/usr/share/javadoc/%{name}
-/usr/share/maven-poms/%{name}
-/usr/share/maven-metadata/%{name}.xml
+%files -f .mfiles
+%license LICENSE.txt
+%license THIRDPARTYREADME.txt
+%doc README.md
+
+%files javadoc -f .mfiles-javadoc
+%license LICENSE.txt
+%license THIRDPARTYREADME.txt
+%doc README.md
 
 %changelog
 * Fri Sep 14 2018 Salman Siddiqui <sasiddiq@redhat.com> - 7.0.0-1

